Main Page Groups Namespaces

# SigC::retype_slot_functor< T_functor, T_return, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 > Struct Template Reference

Inheritance diagram for SigC::retype_slot_functor< T_functor, T_return, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 >:

[legend]
List of all members.

## Public Types

typedef T_return | result_type

## Public Member Functions

T_return | operator() ()
template<class T_arg1>
T_return | operator() (T_arg1 _A_a1)
template<class T_arg1>
T_return | sun_forte_workaround (T_arg1 _A_a1)
template<class T_arg1, class T_arg2>
T_return | operator() (T_arg1 _A_a1, T_arg2 _A_a2)
template<class T_arg1, class T_arg2>
T_return | sun_forte_workaround (T_arg1 _A_a1, T_arg2 _A_a2)
template<class T_arg1, class T_arg2, class T_arg3>
T_return | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3)
template<class T_arg1, class T_arg2, class T_arg3>
T_return | sun_forte_workaround (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3)
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4>
T_return | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4)
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4>
T_return | sun_forte_workaround (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4)
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
T_return | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5)
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
T_return | sun_forte_workaround (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5)
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
T_return | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5, T_arg6 _A_a6)
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
T_return | sun_forte_workaround (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5, T_arg6 _A_a6)
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>
T_return | operator() (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5, T_arg6 _A_a6, T_arg7 _A_a7)
template<class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>
T_return | sun_forte_workaround (T_arg1 _A_a1, T_arg2 _A_a2, T_arg3 _A_a3, T_arg4 _A_a4, T_arg5 _A_a5, T_arg6 _A_a6, T_arg7 _A_a7)
| retype_slot_functor (typename::sigc::type_trait<T_functor>::take _A_functor)

## Classes

struct | deduce_result_type

### template <class T_functor, class T_return, class T_type1 = ::sigc::nil, class T_type2 = ::sigc::nil, class T_type3 = ::sigc::nil, class T_type4 = ::sigc::nil, class T_type5 = ::sigc::nil, class T_type6 = ::sigc::nil, class T_type7 = ::sigc::nil>
struct SigC::retype_slot_functor< T_functor, T_return, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7 >

## Member Typedef Documentation

template <class T_functor, class T_return, class T_type1 = ::sigc::nil, class T_type2 = ::sigc::nil, class T_type3 = ::sigc::nil, class T_type4 = ::sigc::nil, class T_type5 = ::sigc::nil, class T_type6 = ::sigc::nil, class T_type7 = ::sigc::nil>
typedef T_return SigC::retype_slot_functor<T_functor, T_return, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::result_type

| Reimplemented from sigc::adapts<T_functor>.

## Constructor & Destructor Documentation

template <class T_functor, class T_return, class T_type1 = ::sigc::nil, class T_type2 = ::sigc::nil, class T_type3 = ::sigc::nil, class T_type4 = ::sigc::nil, class T_type5 = ::sigc::nil, class T_type6 = ::sigc::nil, class T_type7 = ::sigc::nil>
SigC::retype_slot_functor<T_functor, T_return, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::retype_slot_functor | ( | typename::sigc::type_trait<T_functor>::take | _A_functor | ) | `[inline]`

## Member Function Documentation

template <class T_functor, class T_return, class T_type1 = ::sigc::nil, class T_type2 = ::sigc::nil, class T_type3 = ::sigc::nil, class T_type4 = ::sigc::nil, class T_type5 = ::sigc::nil, class T_type6 = ::sigc::nil, class T_type7 = ::sigc::nil>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>
T_return SigC::retype_slot_functor<T_functor, T_return, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5,
|  | T_arg6 | _A_a6,
|  | T_arg7 | _A_a7
| ) | `[inline]`

template <class T_functor, class T_return, class T_type1 = ::sigc::nil, class T_type2 = ::sigc::nil, class T_type3 = ::sigc::nil, class T_type4 = ::sigc::nil, class T_type5 = ::sigc::nil, class T_type6 = ::sigc::nil, class T_type7 = ::sigc::nil>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
T_return SigC::retype_slot_functor<T_functor, T_return, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5,
|  | T_arg6 | _A_a6
| ) | `[inline]`

template <class T_functor, class T_return, class T_type1 = ::sigc::nil, class T_type2 = ::sigc::nil, class T_type3 = ::sigc::nil, class T_type4 = ::sigc::nil, class T_type5 = ::sigc::nil, class T_type6 = ::sigc::nil, class T_type7 = ::sigc::nil>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
T_return SigC::retype_slot_functor<T_functor, T_return, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5
| ) | `[inline]`

template <class T_functor, class T_return, class T_type1 = ::sigc::nil, class T_type2 = ::sigc::nil, class T_type3 = ::sigc::nil, class T_type4 = ::sigc::nil, class T_type5 = ::sigc::nil, class T_type6 = ::sigc::nil, class T_type7 = ::sigc::nil>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>
T_return SigC::retype_slot_functor<T_functor, T_return, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4
| ) | `[inline]`

template <class T_functor, class T_return, class T_type1 = ::sigc::nil, class T_type2 = ::sigc::nil, class T_type3 = ::sigc::nil, class T_type4 = ::sigc::nil, class T_type5 = ::sigc::nil, class T_type6 = ::sigc::nil, class T_type7 = ::sigc::nil>
template <class T_arg1, class T_arg2, class T_arg3>
T_return SigC::retype_slot_functor<T_functor, T_return, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3
| ) | `[inline]`

template <class T_functor, class T_return, class T_type1 = ::sigc::nil, class T_type2 = ::sigc::nil, class T_type3 = ::sigc::nil, class T_type4 = ::sigc::nil, class T_type5 = ::sigc::nil, class T_type6 = ::sigc::nil, class T_type7 = ::sigc::nil>
template <class T_arg1, class T_arg2>
T_return SigC::retype_slot_functor<T_functor, T_return, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::operator() | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2
| ) | `[inline]`

template <class T_functor, class T_return, class T_type1 = ::sigc::nil, class T_type2 = ::sigc::nil, class T_type3 = ::sigc::nil, class T_type4 = ::sigc::nil, class T_type5 = ::sigc::nil, class T_type6 = ::sigc::nil, class T_type7 = ::sigc::nil>
template <class T_arg1>
T_return SigC::retype_slot_functor<T_functor, T_return, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::operator() | ( | T_arg1 | _A_a1 | ) | `[inline]`

template <class T_functor, class T_return, class T_type1, class T_type2, class T_type3, class T_type4, class T_type5, class T_type6, class T_type7>
T_return SigC::retype_slot_functor<T_functor, T_return, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::operator() | ( |  | ) |

template <class T_functor, class T_return, class T_type1 = ::sigc::nil, class T_type2 = ::sigc::nil, class T_type3 = ::sigc::nil, class T_type4 = ::sigc::nil, class T_type5 = ::sigc::nil, class T_type6 = ::sigc::nil, class T_type7 = ::sigc::nil>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6, class T_arg7>
T_return SigC::retype_slot_functor<T_functor, T_return, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::sun_forte_workaround | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5,
|  | T_arg6 | _A_a6,
|  | T_arg7 | _A_a7
| ) | `[inline]`

template <class T_functor, class T_return, class T_type1 = ::sigc::nil, class T_type2 = ::sigc::nil, class T_type3 = ::sigc::nil, class T_type4 = ::sigc::nil, class T_type5 = ::sigc::nil, class T_type6 = ::sigc::nil, class T_type7 = ::sigc::nil>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5, class T_arg6>
T_return SigC::retype_slot_functor<T_functor, T_return, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::sun_forte_workaround | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5,
|  | T_arg6 | _A_a6
| ) | `[inline]`

template <class T_functor, class T_return, class T_type1 = ::sigc::nil, class T_type2 = ::sigc::nil, class T_type3 = ::sigc::nil, class T_type4 = ::sigc::nil, class T_type5 = ::sigc::nil, class T_type6 = ::sigc::nil, class T_type7 = ::sigc::nil>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4, class T_arg5>
T_return SigC::retype_slot_functor<T_functor, T_return, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::sun_forte_workaround | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4,
|  | T_arg5 | _A_a5
| ) | `[inline]`

template <class T_functor, class T_return, class T_type1 = ::sigc::nil, class T_type2 = ::sigc::nil, class T_type3 = ::sigc::nil, class T_type4 = ::sigc::nil, class T_type5 = ::sigc::nil, class T_type6 = ::sigc::nil, class T_type7 = ::sigc::nil>
template <class T_arg1, class T_arg2, class T_arg3, class T_arg4>
T_return SigC::retype_slot_functor<T_functor, T_return, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::sun_forte_workaround | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3,
|  | T_arg4 | _A_a4
| ) | `[inline]`

template <class T_functor, class T_return, class T_type1 = ::sigc::nil, class T_type2 = ::sigc::nil, class T_type3 = ::sigc::nil, class T_type4 = ::sigc::nil, class T_type5 = ::sigc::nil, class T_type6 = ::sigc::nil, class T_type7 = ::sigc::nil>
template <class T_arg1, class T_arg2, class T_arg3>
T_return SigC::retype_slot_functor<T_functor, T_return, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::sun_forte_workaround | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2,
|  | T_arg3 | _A_a3
| ) | `[inline]`

template <class T_functor, class T_return, class T_type1 = ::sigc::nil, class T_type2 = ::sigc::nil, class T_type3 = ::sigc::nil, class T_type4 = ::sigc::nil, class T_type5 = ::sigc::nil, class T_type6 = ::sigc::nil, class T_type7 = ::sigc::nil>
template <class T_arg1, class T_arg2>
T_return SigC::retype_slot_functor<T_functor, T_return, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::sun_forte_workaround | ( | T_arg1 | _A_a1,
|  | T_arg2 | _A_a2
| ) | `[inline]`

template <class T_functor, class T_return, class T_type1 = ::sigc::nil, class T_type2 = ::sigc::nil, class T_type3 = ::sigc::nil, class T_type4 = ::sigc::nil, class T_type5 = ::sigc::nil, class T_type6 = ::sigc::nil, class T_type7 = ::sigc::nil>
template <class T_arg1>
T_return SigC::retype_slot_functor<T_functor, T_return, T_type1, T_type2, T_type3, T_type4, T_type5, T_type6, T_type7>::sun_forte_workaround | ( | T_arg1 | _A_a1 | ) | `[inline]`

The documentation for this struct was generated from the following file:

- retype.h